if (this.item.equipped.value
  && args.sourceItem 
  && (args.sourceItem.isRanged || args.opposedTest.attackerTest?.spell)
  ) 
{
  args.modifiers.other.push({label : this.effect.name, details : "Schadensreduzierung", value : -2})
}